#============================================================================
# perl_config.mk

PERL_CONFIG_MK =

# insert the file $(top_srcdir)/config_pl into a Perl program
# config_pl is usually constructed from config_pl.in by configure.

# It's config_pl, not config.pl.  That's because perl_prog.mk and
# perl_lib.mk have a rule for %.pl.in => %.pl, and that a) causes make
# to gripe about circular dependencies (due to PERL_SUBST_DEPS) and b)
# may cause make to regenerate config.pl when it must be done by
# config.status

# prerequisite
CREATE_AM_MACROS_MK +=
SUBSTITUTE_CONFIG_VARIABLES_MK +=

# prerequisite: perl_prog.mk or perl_lib.mk


# ensure that the sed script is available
config.sed :
	echo '/[@]CONFIG_PL[@]/{ r $(top_builddir)/config_pl'  > $@
	echo '                   d'           >> $@
	echo '}'			      >> $@


# and add it to DO_SUBST
DO_SUBST		+= -f config.sed

BUILT_SOURCES		+= config.sed
DISTCLEANFILES		+= config.sed
PERL_SUBST_DEPS		+= $(top_builddir)/config_pl
